Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

87 lines (56 sloc) 2.336 kb
uim 1.8.3 Release Note
======================
About This Release
------------------
This distribution of uim 1.8.3 is the latest stable release of uim.
Please report us if you find a problem.
Homepage: http://code.google.com/p/uim/
Mailinglist: uim-en@googlegroups.com
Bug tracking system: http://bugs.freedesktop.org/
What's New
----------
- Avoid SEGV in uim-toolbar-gtk-systray
- Fix behavior of uim-tutcode on Google Chrome
See NEWS for the fully detailed changes.
What's New in 1.8.2
-------------------
- Support sticky key for uim-skk
- Fix GTK+3 bridge behavior
- Improved uim-tutcode
What's New in 1.8.1
-------------------
- Bug fix for uim-notify with recent versions of glib
- Improved uim-tutcode
What's New in 1.8.0
-------------------
- New IM uim-google-cgiapi-jp
- New IM uim-baidu-olime-jp
- Delay showing candidate window
- Horizontal candidate window
- Japanese Romaji-Kana composing rule in uim-pref
- Many new features in uim-tutcode
Notes for Packagers and System Integrators
------------------------------------------
- The option "--enable-debug" and/or "--enable-backtrace" makes uim (in
accurately, underlying SigScheme interpreter) quite heavy. Please keep them
unspecified for normal library
- Use the bundled SigScheme, and do not depend on external SigScheme
package. Since the SigScheme interpreter is completely embedded into
libuim without linking to libsscm, and exposing no SigScheme-specific
symbols regardless of environment-dependent symbol exportation control
existence such as -export-symbols of libtool or version script of ld,
no conflict with libsscm occurs
- libuim links to libgcroots although SigScheme is embedded into
libuim. Although libgcroots is also bundled in uim, it should be
managed as a separated package since both libsscm and libuim which
provided by separated package depends on it. Add
'--with-libgcroots=installed' to configure options for uim to disable
build and install of the bundled version of libgcroots
Roadmap
-------
- uim 1.9.0 and later
The time for drastic reconstruction. Many user-visible changes.
The composer framework will be introduced for extensible IM
development.
- uim 2.0.0
Overall uim API will be revised.
Jump to Line
Something went wrong with that request. Please try again.